;;
;; /etc/emacs/site-start.d/50select-xface.el
;;
;; Copyright (c) 1998, Takuro KITAME <kitame@debian.or.jp>

(setq load-path 
      (cons 
       (concat "/usr/share/" (symbol-name debian-emacs-flavor)
              "/site-lisp/select-xface")
       load-path))

(require 'select-xface)

;; Mew
(add-hook 'mew-draft-mode-hook
	  (lambda ()
	    (define-key (current-local-map) "\C-c\C-x" 
	      'select-xface)))
;;; Gnus
(add-hook 'gnus-message-setup-hook
	  (lambda ()
	    (define-key (current-local-map) "\C-x4x"
	      'select-xface)))
;;; mh-e
(add-hook 'mh-letter-mode-hook
	  (lambda ()
	    (define-key (current-local-map) "\C-x4x"
	      'select-xface)))
;;; MAIL, RMAIL, VM, cmail, Wanderlust
(add-hook 'mail-mode-hook
	  (lambda ()
	    (define-key (current-local-map) "\C-x4x"
	      'select-xface)))

;; additional setup
(setq select-xface-candidate-regexp "\\.xbm\\(\\.gz\\)?$")
(setq select-xface-add-x-face-version-header t)
